# ArsenalConsole

Tools to help colorize and manage console output.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'arsenal_console', '~> 1.0'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install arsenal_console

## Usage

Run this to see instructions and options for Colorize:

```ruby
puts ArsenalConsole::Colorize.help
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/arsenal_console. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/arsenal_console/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the ArsenalConsole project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/arsenal_console/blob/master/CODE_OF_CONDUCT.md).
